# Generated from phcpress-56.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name phcpress

Name: rubygem-%{gem_name}
Version: 56.4.0
Release: 1%{?dist}
Summary: Rails 5.2 App Engine
License: MIT
URL: https://phcdevworks.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3) >= 1.4
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(byebug) >= 11.1
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(capybara) >= 3.33
# BuildRequires: rubygem(capybara) < 4
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rspec-rails) >= 4.0
# BuildRequires: rubygem(rspec-rails) < 5
# BuildRequires: rubygem(factory_bot_rails) >= 6.1
# BuildRequires: rubygem(factory_bot_rails) < 7
# BuildRequires: rubygem(faker) >= 2.13
# BuildRequires: rubygem(faker) < 3
# BuildRequires: rubygem(launchy) >= 2.5
# BuildRequires: rubygem(launchy) < 3
# BuildRequires: rubygem(nokogiri) >= 1.10
# BuildRequires: rubygem(nokogiri) < 2
# BuildRequires: rubygem(database_cleaner) >= 1.8
# BuildRequires: rubygem(database_cleaner) < 2
# BuildRequires: rubygem(selenium-webdriver) >= 3.142
# BuildRequires: rubygem(selenium-webdriver) < 4
BuildArch: noarch

%description
PHCPress rails CMS engine to manage your website's articles, categories and
media.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Aug 24 2021 mockbuilder - 56.4.0-1
- Initial package
